Data Fields
lecb_cfm_conn_t Struct Reference
BLE » Logical Link Control and Adaptation Protocol (L2CAP) » Structures

LE credit based connection confirm parameter. More...

`#include <ble_l2cap.h>`

## Data Fields
bool | accept
uint16_t | peer_cid
uint16_t | local_cid
uint16_t | local_credits
uint16_t | mtu
uint16_t | mps

## Detailed Description

LE credit based connection confirm parameter.

Note
  The accept flag indicates whether the App accepts the LE Credit Based connection request.
  The peer_cid represents the channel endpoint on the peer device.
  The local_cid should be 0x0040-0x007F. If the local_cid is set to 0, the stack will assign it dynamically.
  The local_credits required to be sure that at least one SDU can be received, otherwise the stack will use the default value: (MTU + MPS + 1) /MPS + 1.
  The MTU range is [23~max_mtu].
  The MPS range is [23~max_mps].
  About the max_mtu and max_mps config, please see ble_gap_l2cap_params_set.

## Field Documentation

## ◆ accept

bool lecb_cfm_conn_t::accept

Whether to accept the connection request.

## ◆ local_cid

uint16_t lecb_cfm_conn_t::local_cid

Local CID.

## ◆ local_credits

uint16_t lecb_cfm_conn_t::local_credits

It indicates the number of LE-frames that the peer device can send to the L2CAP layer entity sending the LE Credit Based Connection Respone.

## ◆ mps

uint16_t lecb_cfm_conn_t::mps

The MPS field specifies the maximum payload size (in octets) that the L2CAP layer entity sending the LE Credit Based Connection Request is capable of receiving on this channel.

## ◆ mtu

uint16_t lecb_cfm_conn_t::mtu

The MTU field specifies the maximum SDU size (in octets) that the L2CAP layer entity sending the LE Credit Based Connection Request can receive on this channel.

## ◆ peer_cid

uint16_t lecb_cfm_conn_t::peer_cid

It represents the channel endpoint on the device sending the request and receiving the response.

The documentation for this struct was generated from the following file:

- ble_l2cap.h